Skip to main content
GET
/
bookings
List all bookings
curl --request GET \
  --url https://{domain}/api/site/bookings \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 1,
  "limit": 25,
  "skip": 0,
  "items": [
    {
      "id": 206,
      "eventId": 98146,
      "contactId": 41,
      "name": "Jane Doe",
      "email": "jane@doe.com",
      "start": 1587936600,
      "end": 1587938400,
      "eventData": {
        "name": "My event",
        "location": "Skype"
      },
      "operator": {
        "id": 51215,
        "name": "John Doe",
        "email": "john@doe.com"
      },
      "service": {
        "id": 123,
        "name": "<string>"
      },
      "formAnswers": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Query Parameters

from
integer<int64>

List only bookings starting after the specified timestamp (inclusive, in seconds since the Unix epoch).

Example:

1573251649

to
integer<int64>

List only bookings starting before the specified timestamp (inclusive, in seconds since the Unix epoch).

Example:

1573251649

eventId
integer

List only bookings with the selected event id.

Example:

123

limit
integer
default:30

A limit on the number of objects to be returned. Between 1 and 50.

Required range: 1 <= x <= 50
Example:

25

skip
integer
default:0

The number of items to skip (offset). Defaults to 0, i.e. the first page.

Required range: x >= 0
Example:

25

Response

200 - application/json

A paginated list of bookings.

Common pagination envelope shared by list endpoints.

totalCount
integer
required

The total size of the result set without any pagination.

Example:

1

limit
integer
required

The currently used limit.

Example:

25

skip
integer
required

The current offset in the list.

Example:

0

items
object[]
Last modified on June 20, 2026